Subject: Re: bug#3233: 23.0.93; [NS] Regression in x-display-pixel-width

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 May 2009 21:34:13 -0400

>   (let ((disp (frame-parameter frame 'display)))

Why not use `frame' directly?  The `display' frame parameter is
fundamentally specific to X11 (although we kinds of try to make Emacs
pretend that it also exists under other GUIs).

> I don't know how (display-pixel-height) handles multihead displays, but it
> seems saner to explicitly pass the display the frame occupies.

The "display" you pass is just some string.  So "right" way would be to
pass the corresponding terminal (i.e. (frame-terminal frame)), but
most/all the functions that operate on terminals accept frames as well
(since terminal object were only introduced in Emacs-23 as pat of the
multi-tty code, so frames were previously the canonical way to refer to
a display).

        Stefan